Package ch.qos.logback.classic.spi

# Class ClassPackagingData

java.lang.Object
ch.qos.logback.classic.spi.ClassPackagingData

All Implemented Interfaces:
  `Serializable`

public class ClassPackagingData extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ClassPackagingData(String codeLocation, String version)`
`ClassPackagingData(String classLocation, String version, boolean exact)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getCodeLocation()`
`String`
`getVersion()`
`int`
`hashCode()`
`boolean`
`isExact()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassPackagingData

public ClassPackagingData(String codeLocation, String version)

### ClassPackagingData

public ClassPackagingData(String classLocation, String version, boolean exact)

## Method Details

### getCodeLocation

public String getCodeLocation()

### getVersion

public String getVersion()

### isExact

public boolean isExact()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`